aboutsummaryrefslogtreecommitdiff
path: root/sh/init.sh.GNU-kFreeBSD.in
diff options
context:
space:
mode:
authorGabriele Giacone <1o5g4r8o@gmail.com>2014-10-21 02:24:12 -0500
committerWilliam Hubbs <w.d.hubbs@gmail.com>2014-10-22 11:09:58 -0500
commitd8e1d9a6edf94ecac580e80e1113f4fdbdc5a23b (patch)
tree038cfcd9eeafb5b5899db8088280f6a071ad0e63 /sh/init.sh.GNU-kFreeBSD.in
parent3f82edbeb9251149c6aff071d6537379af4e5eea (diff)
Add missing files for GNU/kFreeBSD
Diffstat (limited to 'sh/init.sh.GNU-kFreeBSD.in')
-rw-r--r--sh/init.sh.GNU-kFreeBSD.in35
1 files changed, 35 insertions, 0 deletions
diff --git a/sh/init.sh.GNU-kFreeBSD.in b/sh/init.sh.GNU-kFreeBSD.in
new file mode 100644
index 00000000..d1a04e15
--- /dev/null
+++ b/sh/init.sh.GNU-kFreeBSD.in
@@ -0,0 +1,35 @@
+#!@SHELL@
+# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
+# Released under the 2-clause BSD license.
+
+if [ ! -d /run ]; then
+ ebegin "Creating /run"
+ mkdir -p /run
+ eend $?
+fi
+
+if [ -L $RC_SVCDIR ]; then
+ rm $RC_SVCDIR
+fi
+
+ebegin "Mounting /run"
+if ! fstabinfo --mount /run; then
+ mount -t tmpfs -o mode=0755,noexec,nosuid,size=10% tmpfs /run
+ if [ $? != 0 ]; then
+ eerror "Unable to mount tmpfs on /run."
+ eerror "Can't continue."
+ exit 1
+ fi
+fi
+eend
+
+ebegin "Creating $RC_SVCDIR"
+mkdir -p $RC_SVCDIR
+eend $?
+
+if [ -e "$RC_LIBEXECDIR"/cache/deptree ]; then
+ cp -p "$RC_LIBEXECDIR"/cache/* "$RC_SVCDIR" 2>/dev/null
+fi
+
+echo sysinit >"$RC_SVCDIR"/softlevel
+exit 0